<template>
  <div class="contract-detail-services">
    <ObTabs
      v-model="selectedTab"
      :items="tabsItems"
      :no-border="true"
      data-qa="tarificationTabs"
      class="contract-detail-services__tabs"
    />
    <component
      :is="currentComponent"
      :caste="selectedTab.uuid"
    />
  </div>
</template>

<script>
import Tarification from './Tarification'
import TarificationBase from './TarificationBase'
import ObTabs from 'common-components/src/obComponents/obTabs'

export default {
  name: 'ContractDetailServices',
  components: {
    ObTabs
  },
  data () {
    return {
      selectedTab: {
        uuid: 'SIMPLE',
        title: 'Базовые услуги'
      },
      tabsItems: [
        {
          uuid: 'SIMPLE',
          title: 'Базовые услуги'
        },
        {
          uuid: 'MULTISTOP',
          title: 'Мультистоповые'
        },
        // {
        //   uuid: 'MULTIMODAL',
        //   title: 'Мультимодальные',
        //   isDisabled: true
        // },
        {
          uuid: 'ADDITIONAL',
          title: 'Дополнительные'
        }
      ]
    }
  },
  computed: {
    currentComponent () {
      const componentsMap = {
        SIMPLE: TarificationBase,
        ADDITIONAL: TarificationBase,
        MULTISTOP: Tarification
      }

      return componentsMap[this.selectedTab.uuid]
    },
  }
}
</script>

<style lang="scss" scoped>
.contract-detail-services {
  height: 100%;
  display: flex;
  flex-direction: column;
  &::v-deep {
    .contract-tarification-container {
      flex-grow: 2;
    }
  }
  &__tabs {
    padding: 20px 20px 0 20px;
    box-shadow: 0px 0px 2px rgba(0, 75, 200, 0.15), 0px 0px 12px rgba(0, 75, 200, 0.04), 0px 4px 10px rgba(0, 75, 200, 0.06);
  }
}
</style>